Package com.io7m.cedarbridge.runtime.container_protocol

# Record Class CBContainerProtocolResponse

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.runtime.container_protocol.CBContainerProtocolResponse

Record Components:
  `ok` - The "use" message was/was not acceptable
  `message` - The error message text, if any

public record CBContainerProtocolResponse(boolean ok, String message) extends Record
A response to a `CBContainerProtocolUse` message. If `ok` is `false`, the client should expect to be disconnected immediately.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBContainerProtocolResponse(boolean ok, String message)`
  A response to a `CBContainerProtocolUse` message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `boolean`
  `ok()`
  Returns the value of the `ok` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBContainerProtocolResponse

    public CBContainerProtocolResponse(boolean ok, String message)
    A response to a `CBContainerProtocolUse` message. If `ok` is `false`, the client should expect to be disconnected immediately.
    Parameters:
      `ok` - The "use" message was/was not acceptable
      `message` - The error message text, if any

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### ok

    public boolean ok()
    Returns the value of the `ok` record component.
    Returns:
      the value of the `ok` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Returns:
      the value of the `message` record component